package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProTableColumnsDAO;
import com.philisense.www.mapper.ProTableColumnsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProTableColumnsDAOImpl implements ProTableColumnsDAO {
        @Autowired
        private ProTableColumnsMapper proTableColumnsMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proTableColumnsMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proTableColumnsMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proTableColumnsMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proTableColumnsMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proTableColumnsMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proTableColumnsMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proTableColumnsMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proTableColumnsMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proTableColumnsMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proTableColumnsMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proTableColumnsMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proTableColumnsMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proTableColumnsMapper.updateBatch(list);
        }
}
